( cd usr/lib ; rm -rf libempathy-gtk.so.19 )
( cd usr/lib ; ln -sf libempathy-gtk.so.19.2.4 libempathy-gtk.so.19 )
( cd usr/lib ; rm -rf libempathy.so )
( cd usr/lib ; ln -sf libempathy.so.23.0.3 libempathy.so )
( cd usr/lib ; rm -rf libempathy-gtk.so )
( cd usr/lib ; ln -sf libempathy-gtk.so.19.2.4 libempathy-gtk.so )
( cd usr/lib ; rm -rf libempathy.so.23 )
( cd usr/lib ; ln -sf libempathy.so.23.0.3 libempathy.so.23 )
( cd usr/share/gnome/help/empathy/en_GB/figures ; rm -rf empathy-main-window.png )
( cd usr/share/gnome/help/empathy/en_GB/figures ; ln -sf ../../C/figures/empathy-main-window.png empathy-main-window.png )
( cd usr/share/gnome/help/empathy/ru/figures ; rm -rf empathy-main-window.png )
( cd usr/share/gnome/help/empathy/ru/figures ; ln -sf ../../C/figures/empathy-main-window.png empathy-main-window.png )
( cd usr/share/gnome/help/empathy/cs/figures ; rm -rf empathy-main-window.png )
( cd usr/share/gnome/help/empathy/cs/figures ; ln -sf ../../C/figures/empathy-main-window.png empathy-main-window.png )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/GNOME_Megaphone_Applet.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/empathy.schemas >/dev/null 2>&1
fi
# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons cache
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
